Macro Constraint Draft

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro Constraint Draft and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano

Macro Constraint Draft.png Constraint Draft

Description
Crée une simulation en utilisant les expressions qui servent à lier les objets entre eux (La macro fonctionne avec FreeCAD version 16).

Version macro : 1.0
Date dernière modification : 2017-04-19
Version FreeCAD : 0.16
Téléchargement : Le fichier exemple Constraint_Draft00.FCStd
Icône pour la barre d'outils
Auteur
Mario52
Téléchargement
Le fichier exemple Constraint_Draft00.FCStd
Icône pour la barre d'outils
Liens
Version Macro
1.0
Dernière modification
2017-04-19
Version(s) FreeCAD
0.16
Raccourci clavier
None
Voir aussi
None


Description

Simple exemple d'animation dans l'atelier Draft en utilsant les expressions pour associer les différents objets et en produire une animation ou vérification du bon fonctionnement de la cinétique finale.

Animation utilisant des contraintes produites par les expressions

Animation use the constraint expression


Utilisation

Téléchargez le fichier exemple Constraint_Draft00.FCStd, ouvrez le dans FreeCAD

Script

Pour copier le script, sélectionnez la ligne Line005_with_Code dans la Vue combinée sélectionnez l'onglet Données puis → section → Memo code → Code for rotation → ... (La macro fonctionne avec FreeCAD version 16)

Sélectionnez le code complet et copiez le dans la console Python

(Si la console Python n'est pas affichée, faites Menu → Affichage → Panneaux → Console Python)

Petite vidéo, comment copier le code

Comment copier le code

ToolBar Icon Macro Constraint Draft.png

Macro_Constraint_Draft.FCMacro

# Copy and pate this snippet in the FreeCAD console Python 
# mario52 19/04/2017

import FreeCADGui
import FreeCAD

#FreeCAD.Console.PrintMessage(str(FreeCAD.Version()) + "\n")
if int(FreeCAD.Version()[1]) == 16:    # Version de FreeCAD
    try:
        for i in range(0,360,5):
            App.getDocument("Constraint_Draft00").Circle.Placement=App.Placement(App.Vector(0,0,0), App.Rotation(i,0,0), App.Vector(0,0,0))
            FreeCADGui.updateGui()
            FreeCAD.ActiveDocument.recompute()
    except Exception:
        FreeCAD.Console.PrintMessage("You must download the Constraint_Draft00.FCStd file for run this macro" + "\n")
        import webbrowser 
        webbrowser.open("http://forum.freecadweb.org/download/file.php?id=36559")

else:
    FreeCAD.Console.PrintError("This macro run with the FreeCAD.Version 16 " + "\n")


Rotation avec les outils FreeCAD

Rotation avec les outils FreeCAD

Lien

Discussion sur le forum Sketch Feature to create linkage mechanism simulator